Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QTimeLine.State

    java.lang.Object
      java.lang.Enum<QTimeLine.State>
          com.trolltech.qt.core.QTimeLine.State

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTimeLine.State>

Enclosing class:
  QTimeLine

    public static enum QTimeLine.State

extends java.lang.Enum<QTimeLine.State>
implements QtEnumerator

This enum describes the state of the timeline.

See Also:
  `state`, `stateChanged`

Enum Constant Summary
`NotRunning` The timeline is not running.
`Paused` The timeline is paused (i.e., temporarily suspended).
`Running` The timeline is running.

Method Summary
`static QTimeLine.State` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTimeLine.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTimeLine.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NotRunning

    public static final QTimeLine.State NotRunning

  The timeline is not running. This is the initial state of `QTimeLine`, and the state `QTimeLine` reenters when finished. The current time, frame and value remain unchanged until either `setCurrentTime` is called, or the timeline is started by calling `start`.

### Paused

    public static final QTimeLine.State Paused

  The timeline is paused (i.e., temporarily suspended). Calling `setPaused`(false) will resume timeline activity.

### Running

    public static final QTimeLine.State Running

  The timeline is running. While control is in the event loop, `QTimeLine` will update its current time at regular intervals, emitting `valueChanged` and `frameChanged` when appropriate.

Method Detail

### values

    public static final QTimeLine.State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTimeLine.State c : QTimeLine.State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTimeLine.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTimeLine.State resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD